<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#
define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'load';
$textl = 'Загрузки';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
$time = time();
$setting = mysql_query('SELECT * FROM `zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';
//------------------------------------------------------------------------------------------
###################################################
$error = 0;
if($rights != "9") $error = 1;


if($error==1) die($setup['hackmess']);
//
//------------------------------------------------------------------------------------------
//
$action = intval($_GET['action']);


//
if ($action)
{
 switch($_GET['action'])
 {
#####################################Создание разделов
  case '1':
  if($_POST['topath'])
{
mysql_query('UPDATE `files` SET `pas`=1 WHERE `path` LIKE "'.$_POST['topath'].'%" AND `size` = 0');
echo 'Доступ успешно закрыт'; 
print '<li><a href="blok.php?action=1">Назад</a></li>';
}
else
{
$dirs = mysql_query("SELECT `path` FROM `".$setup['pref']."files` WHERE `size` = '0';");
print '<form action="'.$_SERVER['PHP_SELF'].'?action=1" method="post">

Выберите папку<br/> к которой будет закрыт доступ<font color="red">*</font><br/>
<select class="buttom" size="1" width="70" name="topath"><option value="'.$setup['path'].'/">./</option>';
while($item = mysql_fetch_array($dirs))
{

$name = str_replace($setup['path'].'/','',$item['path']);
$path = explode('/',$name);
$option = '';
unset($path[sizeof($path)-1]);
foreach($path as $value)
{
if(strpos($value , '!') !== false) $name = trans($value); else $name = $value;
$option = $option.$name.'/';
}
echo '<option value="'.$item['path'].'">'.$option.'</option>';
}

echo '</select>
<input type="submit" value="Закрыть"/></form>';


}
 
  break;

#####################################Блок Клик
  case '4':
  if($_POST['topath'])
{
mysql_query('UPDATE `files` SET `pas`=2 WHERE `path` LIKE "'.$_POST['topath'].'%" AND `size` = 0');
echo 'Доступ успешно закрыт'; 

print '<li><a href="blok.php?action=4">Назад</a></li>';

        ///////////////////////////
}
else
{
$dirs = mysql_query("SELECT `path` FROM `".$setup['pref']."files` WHERE `size` = '0';");
print '<form action="'.$_SERVER['PHP_SELF'].'?action=4" method="post">

Выберите папку<br/> к которой будет закрыт доступ<font color="red">*</font><br/>
<select class="buttom" size="1" width="70" name="topath"><option value="'.$setup['path'].'/">./</option>';
while($item = mysql_fetch_array($dirs))
{

$name = str_replace($setup['path'].'/','',$item['path']);
$path = explode('/',$name);
$option = '';
unset($path[sizeof($path)-1]);
foreach($path as $value)
{
if(strpos($value , '!') !== false) $name = trans($value); else $name = $value;
$option = $option.$name.'/';
}
echo '<option value="'.$item['path'].'">'.$option.'</option>';
}

echo '</select>
<input type="submit" value="Закрыть"/>

</form>';


}
 
  break;   
  

#####################################Разблокировать все
  case '5':   
  mysql_query('UPDATE `files` SET `pas`=0 WHERE `size` = 0');
  echo 'Все разделы разблокированы.'; 

  break;
 }
}
else exit;
print '<li><a href="'.$_SERVER['PHP_SELF'].'?action=5">Разблокировать все</a></li>';
print '<li><a href="apanel.php">Админка</a></li>';
require_once ("moduls/foot.php");
?>